from odoo import fields, models


class ResConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    label_pricelist = fields.Many2one(
        required=False,
        comodel_name="product.pricelist",
        string="Pricelist for members",
        config_parameter="report_label_supermarket.label_pricelist",
    )

    label_public_pricelist = fields.Many2one(
        required=False,
        comodel_name="product.pricelist",
        string="Pricelist for public",
        config_parameter="report_label_supermarket.label_public_pricelist",
    )
